SwiftVersion (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.language.swift

## Enum SwiftVersion

- java.lang.Object
- - java.lang.Enum<SwiftVersion>
  - - org.gradle.language.swift.SwiftVersion

-     @Incubating
      public enum SwiftVersion
      extends java.lang.Enum<SwiftVersion>

  Swift version.
  Since:
    4.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SWIFT3` |
    `SWIFT4` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getVersion​()` | Returns the Swift language version in numerical value
    `static SwiftVersion` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SwiftVersion[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SWIFT3

          public static final SwiftVersion SWIFT3

    - #### SWIFT4

          public static final SwiftVersion SWIFT4

  - ### Method Detail

    - #### values

          public static SwiftVersion[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SwiftVersion c : SwiftVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SwiftVersion valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getVersion

          public int getVersion​()

      Returns the Swift language version in numerical value